org.springframework.session.data.gemfire

## Class AbstractGemFireOperationsSessionRepository.GemFireSessionAttributesInstantiator

- java.lang.Object
- - org.apache.geode.Instantiator
  - - org.springframework.session.data.gemfire.AbstractGemFireOperationsSessionRepository.GemFireSessionAttributesInstantiator

Enclosing class:
  AbstractGemFireOperationsSessionRepository

    public static class AbstractGemFireOperationsSessionRepository.GemFireSessionAttributesInstantiator
    extends org.apache.geode.Instantiator

GemFireSessionAttributesInstantiator is a GemFire `Instantiator` use to instantiate instances of the `AbstractGemFireOperationsSessionRepository.GemFireSessionAttributes` object used in GemFire's data serialization framework when persisting Session attributes state in GemFire.

### Constructor Summary

Constructors
Constructor and Description
`GemFireSessionAttributesInstantiator(java.lang.Class<? extends org.apache.geode.DataSerializable> type, int id)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AbstractGemFireOperationsSessionRepository.GemFireSessionAttributesInstantiator` `create()`
`org.apache.geode.DataSerializable` `newInstance()`

### Methods inherited from class org.apache.geode.Instantiator

`getContext, getEventId, getId, getInstantiatedClass, register, register, setContext, setEventId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GemFireSessionAttributesInstantiator

    public GemFireSessionAttributesInstantiator(java.lang.Class<? extends org.apache.geode.DataSerializable> type,
                                                int id)

### Method Detail

#### create

    public static AbstractGemFireOperationsSessionRepository.GemFireSessionAttributesInstantiator create()

#### newInstance

    public org.apache.geode.DataSerializable newInstance()

Specified by:
  `newInstance` in class `org.apache.geode.Instantiator`